% Matlab i/o code examples 
% Need for Speed recon challenge, ISMRM Stockholm 2010
% E. Aboussouan, Barrow Neurological Inst., Phoenix AZ

% B1map:  512x512x8 complex 
fid = fopen('./NFS_B1MAPS.dat');
B1MapNFS= fread(fid,inf, 'float32');
fclose(fid);
B1MapNFS= squeeze(complex(B1MapNFS(1:2:end), B1MapNFS(2:2:end)));
B1MapNFS= reshape(B1MapNFS,[512,512,8]);
 
% read coordinates: 2x2000x200
fid = fopen('./NFS_ASAM_09AUG04.crd');
NFSCrds = fread(fid,inf, 'float32');
fclose(fid);
NFSCrds = reshape(NFSCrds,[2,2000,200]);

% read data : 2000x200x8 complex
fid = fopen('./NFS_ASAM_09AUG04.dat');
dataNFS= fread(fid,inf, 'float32');
fclose(fid);
dataNFS= squeeze(complex(dataNFS(1:2:end), dataNFS(2:2:end)));
dataNFS= reshape(dataNFS,[2000,200,8]);

% write data (example)
% first interleave real and odd values before writing
dataNFS = [real(dataNFS(:)), imag(dataNFS(:))]';
dataNFS = dataNFS(:);
% then write
fid = fopen('test.dat','w');
fwrite(fid,dataNFS,'float32');
fclose(fid)
